unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, MathEdit;

const maxAdrCnt = 1000;

type
  TDatum   = record
               tag      : Integer;
               monat    : Integer;
               jahr     : Integer;
             end;

  TAdresse = record
               Vorname  : String[60];
               Nachname : String[40];
               Strasse  : String[30];
               HausNr   : Integer;
               PLZ      : Integer;
               Ort      : String[30];
               Telefon  : String[20];
               GebDat   : TDatum;
             end;

  TForm1 = class(TForm)
    Ed_Vorname: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Ed_Nachname: TEdit;
    Label3: TLabel;
    Ed_Strasse: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    IEd_HNr: TIntEdit;
    IEd_PLZ: TIntEdit;
    Label6: TLabel;
    Ed_Ort: TEdit;
    Label7: TLabel;
    Ed_TelNr: TEdit;
    BtnSetData: TButton;
    Bevel1: TBevel;
    Label8: TLabel;
    IEd_GDTag: TIntEdit;
    Label9: TLabel;
    IEd_GDMon: TIntEdit;
    Label10: TLabel;
    IEd_GDJahr: TIntEdit;
    BtnBack: TButton;
    BtnForwd: TButton;
    Lbl_Index: TLabel;
    procedure BtnSetDataClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure BtnBackClick(Sender: TObject);
    procedure BtnForwdClick(Sender: TObject);
  private
    { Private-Deklarationen }
    Adressen : Array [1..maxAdrCnt] of TAdresse;
    ActAdr   : Integer;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.FormCreate(Sender: TObject);
  begin
  ActAdr := 1;
  end;

procedure TForm1.BtnSetDataClick(Sender: TObject);
  begin
  Adressen[ActAdr].Vorname  := Ed_Vorname.Text;
  Adressen[ActAdr].Nachname := Ed_Nachname.Text;
  Adressen[ActAdr].Strasse  := Ed_Strasse.Text;
  Adressen[ActAdr].HausNr   := IEd_HNr.Value;
  Adressen[ActAdr].PLZ      := IEd_PLZ.Value;
  Adressen[ActAdr].Ort      := Ed_Ort.Text;
  Adressen[ActAdr].Telefon  := Ed_TelNr.Text;
  Adressen[ActAdr].GebDat.tag   := IEd_GDTag.Value;
  Adressen[ActAdr].GebDat.monat := IEd_GDMon.Value;
  Adressen[ActAdr].GebDat.jahr  := IEd_GDJahr.Value;
  If ActAdr < maxAdrCnt then begin
    ActAdr := ActAdr + 1;
    Invalidate;
    end;
  end;

procedure TForm1.FormPaint(Sender: TObject);
  begin
  If Adressen[ActAdr].Nachname = '' then begin
    Ed_Vorname.Text  := '';
    Ed_Nachname.Text := '';
    Ed_Strasse.Text  := '';
    IEd_HNr.Text     := '';
    IEd_PLZ.Text     := '';
    Ed_Ort.Text      := '';
    Ed_TelNr.Text    := '';
    IEd_GDTag.Text   := '';
    IEd_GDMon.Text   := '';
    IEd_GDJahr.Text  := '';
    end
  else begin
    Ed_Vorname.Text  := Adressen[ActAdr].Vorname;
    Ed_Nachname.Text := Adressen[ActAdr].Nachname;
    Ed_Strasse.Text  := Adressen[ActAdr].Strasse;
    IEd_HNr.Value    := Adressen[ActAdr].HausNr;
    IEd_PLZ.Value    := Adressen[ActAdr].PLZ;
    Ed_Ort.Text      := Adressen[ActAdr].Ort;
    Ed_TelNr.Text    := Adressen[ActAdr].Telefon;
    IEd_GDTag.Value  := Adressen[ActAdr].GebDat.tag;
    IEd_GDMon.Value  := Adressen[ActAdr].GebDat.monat;
    IEd_GDJahr.Value := Adressen[ActAdr].GebDat.jahr;
    end;
  Lbl_Index.Caption := 'Datensatz ' + IntToStr(ActAdr);
  end;

procedure TForm1.BtnBackClick(Sender: TObject);
  begin
  If ActAdr > 1 then begin
    ActAdr := ActAdr - 1;
    Invalidate;
    end;
  end;

procedure TForm1.BtnForwdClick(Sender: TObject);
  begin
  If Adressen[ActAdr].Nachname <> '' then begin
    ActAdr := ActAdr + 1;
    Invalidate;
    end;
  end;

end.
